# https://github.com/hyperrealm/libconfig/archive/v1.7.2.tar.gz

%define	major 11
%define libname	%mklibname config %{major}
%define develname %mklibname config -d

Name:		libconfig
Version:	1.7.2
Release:	%mkrel 1
Summary:	C/C++ configuration file library

License:	LGPLv2+
Group:          System/Libraries
URL:		https://hyperrealm.github.io/libconfig
Source0:	%{name}-%{version}.tar.xz

BuildRequires:	texinfo

%description
%{summary}.

%package -n	%{libname}
Summary:	C/C++ configuration file library
Group:          System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
Libconfig is a simple library for manipulating structured configuration
files. This file format is more compact and more readable than XML.
And unlike XML, it is type-aware, so it is not necessary to do string
parsing in application code.

%package -n	%{develname}
Summary:	Development files for the %{name} library
Group:		Development/Libraries
Requires(post,preun): info-install
Requires:	info
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development files for the %{name} library.

%prep
%setup -q

%build
autoreconf -fiv
%configure2_5x --disable-static
%make_build

%install
%makeinstall_std
find %{buildroot} -name '*.la' -delete

%post -n %{develname}
%_install_info %{name}.info

%preun -n %{develname}
%_remove_install_info %{name}.info

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_libdir}/%{name}*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/%{name}.h*
%{_libdir}/%{name}*.so
%{_libdir}/cmake/%{name}*
%{_libdir}/pkgconfig/%{name}*.pc
%{_infodir}/%{name}.info.bz2

%changelog
* Sat Jan 06 2018 marcin82 <m82 at op.pl> 1.7.2-1pclos2018
- update, new urls
- added %%_install_info macros

* Tue Sep 26 2017 bb2 <bb2> - 1.5-2pclos2017
- rebuild against updates

* Sun Jan 03 2016 bb <bb> 1.5-1pclos2016
- update

* Sat Jun 25 2011 Texstar <texstar at gmail.com> 1.4.7-1pclos2011
- 1.4.7 update for 2011 release
